Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.serverPool
Class ServerPoolEntityHelper

`java.lang.Object
oracle.ovs.api.datamodel.serverPool.ServerPoolEntityHelper`

      public class ServerPoolEntityHelper

extends java.lang.Object

Clone server pool datamodel. Just For Interal Usage

Constructor Summary
`ServerPoolEntityHelper()`

Method Summary
`static oracle.ovs.datamodel.OvsSite` | `cloneOvsSiteFromServerPool(ServerPool pool)` Clone datamodel OvsSite from ServerPool.
`static ServerPool` | `cloneServerPoolFromOvsSite(oracle.ovs.datamodel.OvsSite site)` Clone datamodel ServerPool from OvsSite.
`static oracle.ovs.datamodel.OvsSite` | `getServerPool(ServerPoolConfig serverPoolConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerPoolEntityHelper

    public ServerPoolEntityHelper()

Method Detail

### cloneOvsSiteFromServerPool

    public static oracle.ovs.datamodel.OvsSite cloneOvsSiteFromServerPool(ServerPool pool)

  Clone datamodel OvsSite from ServerPool.
  Parameters:
    `pool` - dest
  See Also:
    `ServerPool`, `OvsSite`

### cloneServerPoolFromOvsSite

    public static ServerPool cloneServerPoolFromOvsSite(oracle.ovs.datamodel.OvsSite site)

  Clone datamodel ServerPool from OvsSite.
  Parameters:
    `site` - src
  See Also:
    `OvsSite`, `ServerPool`

### getServerPool

    public static oracle.ovs.datamodel.OvsSite getServerPool(ServerPoolConfig serverPoolConfig)
                                                      throws oracle.ovs.biz.exception.OVSException

  Throws:
    `oracle.ovs.biz.exception.OVSException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.